using System;
using System.Collections.Generic;
using System.Text;
using IndianHealthService.BMXNet.Services;

namespace IndianHealthService.BMXNet.CIA.Services
{
    public class BMXNetEhrSessionPool:RemoteSessionPool
    {
        #region RemoteSessionPool Members

        public bool HasAvailableSession
        {
            get { return false; }
        }

        public int AvailableSessionCount
        {
            get { return 0;}   
        }

        public int MaxSessions
        {
            get
            {
                return 0;
            }
            set
            {
             
            }
        }

        private RemoteSession _onlySession = null;

        public RemoteSession OnlySession
        {
            get { return _onlySession; }
            set { _onlySession = value; }
        }

        public RemoteSession OpenSession()
        {
            if (this.OnlySession == null)
            {
                BMXNetRemoteSession session = new BMXNetRemoteSession();
                session.IsPrimary = true;
                session.Begin(this.Source.op, this);
                this.OnlySession = session;
 
            }

            return this.OnlySession;
        }

        public int IdleSessionCount
        {
            get { return 0; }
        }

        public void TerminateIdleSessions()
        {

        }

        public void Close()
        {
       
        }

        #endregion
    }
}
